CVE-2024-24787

NameCVE-2024-24787
DescriptionOn Darwin, building a Go module which contains CGO can trigger arbitrary code execution when using the Apple version of ld, due to usage of the -lto_library flag in a "#cgo LDFLAGS" directive.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
golang-1.15 (PTS)bullseye1.15.15-1~deb11u4fixed
golang-1.19 (PTS)bookworm1.19.8-2fixed
golang-1.21 (PTS)sid, trixie1.21.12-1fixed
golang-1.22 (PTS)sid, trixie1.22.5-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
golang-1.11source(unstable)(not affected)
golang-1.15source(unstable)(not affected)
golang-1.19source(unstable)(not affected)
golang-1.21source(unstable)(not affected)
golang-1.22source(unstable)(not affected)

Notes

- golang-1.22 <not-affected> (Specific to MacOS)
- golang-1.21 <not-affected> (Specific to MacOS)
- golang-1.19 <not-affected> (Specific to MacOS)
- golang-1.15 <not-affected> (Specific to MacOS)
- golang-1.11 <not-affected> (Specific to MacOS)
https://groups.google.com/g/golang-announce/c/wkkO4P9stm0
https://github.com/golang/go/issues/67119

Search for package or bug name: Reporting problems